Bug 986999 - Cannot edit xguest profile
Cannot edit xguest profile
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sabayon (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 10:56 EDT by Fabien Archambault
Modified: 2015-02-17 11:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:18:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabien Archambault 2013-07-22 10:56:18 EDT
Description of problem: Trying to edit profile with sabayon makes it crash.


Version-Release number of selected component (if applicable): sabayon-2.30.1-7.fc19.x86_64


How reproducible: always


Steps to Reproduce:
1. $ su -
2. # sabayon
3. Select xguest and try to edit

Actual results:
# sabayon
MainThread 2013/07/22 16:54:34.5137 (admin-tool): Creating profiles dialog
MainThread 2013/07/22 16:54:34.5327 (admin-tool): Starting main loop
MainThread 2013/07/22 16:54:38.0436 (USER): Starting to edit profile 'xguest'
MainThread 2013/07/22 16:54:38.3088 (sabayon-session): Starting session window for profile_name='xguest', profile_path='/tmp/profile-sabayon-ufw2Vb.zip', display_number='2'
MainThread 2013/07/22 16:54:38.3258 (proto-session): Running sabayon-apply: ['/usr/sbin/sabayon-apply', '-s', 'xguest', '--admin-log-config=/etc/sabayon/sabayon-debug-log.conf', '--readable-log-config=/tmp/tmpIYsdeP']

(gconftool-2:3591): GConf-WARNING **: Le chargement de la source « xml:readwrite:/tmp/sabayon-temp-home-rj3Se0/.config/gconf » a échoué : Échec: Impossible de créer le répertoire « /tmp/sabayon-temp-home-rj3Se0/.config/gconf » : Aucun fichier ou dossier de ce type
MainThread 2013/07/22 16:54:38.4500 (sabayon-apply): Applying profile 'xguest' for user 'sabayon'

(gconftool-2:3598): GConf-WARNING **: Le chargement de la source « xml:readwrite:/tmp/sabayon-temp-home-rj3Se0/.config/gconf » a échoué : Échec: Impossible de créer le répertoire « /tmp/sabayon-temp-home-rj3Se0/.config/gconf » : Aucun fichier ou dossier de ce type

(process:3600): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0' failed
Success: created profile 'sabayon' at '/tmp/sabayon-temp-home-rj3Se0/.mozilla/firefox/wl2kbxuc.sabayon/prefs.js'
MainThread 2013/07/22 16:54:38.6146 (sabayon-apply): Finished applying profile 'xguest' for user 'sabayon'
===== BEGIN MILESTONES (/usr/sbin/sabayon-apply) =====
MainThread 2013/07/22 16:54:38.4500 (sabayon-apply): Applying profile 'xguest' for user 'sabayon'
MainThread 2013/07/22 16:54:38.6146 (sabayon-apply): Finished applying profile 'xguest' for user 'sabayon'
===== END MILESTONES (/usr/sbin/sabayon-apply) =====
===== BEGIN RING BUFFER (/usr/sbin/sabayon-apply) =====
MainThread 2013/07/22 16:54:38.4500 (sabayon-apply): Applying profile 'xguest' for user 'sabayon'
MainThread 2013/07/22 16:54:38.6146 (sabayon-apply): Finished applying profile 'xguest' for user 'sabayon'
===== END RING BUFFER (/usr/sbin/sabayon-apply) =====


This configuration for the debug log can be re-created
by putting the following in /etc/sabayon/sabayon-debug-log.conf
(use ';' to separate domain names):

[debug log]
max lines = 1000
MainThread 2013/07/22 16:54:38.6352 (proto-session): Finished running sabayon-apply with normal exit status
MainThread 2013/07/22 16:54:38.7512 (sabayon-session): Entering main loop.  Wheeee!
MainThread 2013/07/22 16:54:38.7515 (admin-tool): Got fatal error: Fatal exception in callback; exiting main loop
MainThread 2013/07/22 16:54:38.7519 (admin-tool): Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/sabayon/errors.py", line 125, in wrapper
    return func (*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/sabayon/sessionwindow.py", line 330, in __session_mapped
    self.session.start (str (self.session_widget.session_window.xid))
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 490, in start
    self.__start_xephyr (parent_window)
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 326, in __start_xephyr
    self.xephyr_xauth_file = self.__write_temp_xauth_file (True)
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 283, in __write_temp_xauth_file
    xauth_data_len) + xauth_data
error: 'h' format requires -32768 <= number <= 32767

MainThread 2013/07/22 16:54:38.7522 (sabayon-session): Terminating
MainThread 2013/07/22 16:54:38.7523 (sabayon-session): Exiting abnormally; dumping log due to a fatal error
===== BEGIN MILESTONES (/usr/libexec/sabayon-session) =====
MainThread 2013/07/22 16:54:38.3088 (sabayon-session): Starting session window for profile_name='xguest', profile_path='/tmp/profile-sabayon-ufw2Vb.zip', display_number='2'
MainThread 2013/07/22 16:54:38.3258 (proto-session): Running sabayon-apply: ['/usr/sbin/sabayon-apply', '-s', 'xguest', '--admin-log-config=/etc/sabayon/sabayon-debug-log.conf', '--readable-log-config=/tmp/tmpIYsdeP']
MainThread 2013/07/22 16:54:38.6352 (proto-session): Finished running sabayon-apply with normal exit status
MainThread 2013/07/22 16:54:38.7512 (sabayon-session): Entering main loop.  Wheeee!
MainThread 2013/07/22 16:54:38.7515 (admin-tool): Got fatal error: Fatal exception in callback; exiting main loop
MainThread 2013/07/22 16:54:38.7519 (admin-tool): Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/sabayon/errors.py", line 125, in wrapper
    return func (*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/sabayon/sessionwindow.py", line 330, in __session_mapped
    self.session.start (str (self.session_widget.session_window.xid))
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 490, in start
    self.__start_xephyr (parent_window)
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 326, in __start_xephyr
    self.xephyr_xauth_file = self.__write_temp_xauth_file (True)
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 283, in __write_temp_xauth_file
    xauth_data_len) + xauth_data
error: 'h' format requires -32768 <= number <= 32767

MainThread 2013/07/22 16:54:38.7522 (sabayon-session): Terminating
MainThread 2013/07/22 16:54:38.7523 (sabayon-session): Exiting abnormally; dumping log due to a fatal error
===== END MILESTONES (/usr/libexec/sabayon-session) =====
===== BEGIN RING BUFFER (/usr/libexec/sabayon-session) =====
MainThread 2013/07/22 16:54:38.3088 (sabayon-session): Starting session window for profile_name='xguest', profile_path='/tmp/profile-sabayon-ufw2Vb.zip', display_number='2'
MainThread 2013/07/22 16:54:38.3258 (proto-session): Running sabayon-apply: ['/usr/sbin/sabayon-apply', '-s', 'xguest', '--admin-log-config=/etc/sabayon/sabayon-debug-log.conf', '--readable-log-config=/tmp/tmpIYsdeP']
MainThread 2013/07/22 16:54:38.6352 (proto-session): Finished running sabayon-apply with normal exit status
MainThread 2013/07/22 16:54:38.7512 (sabayon-session): Entering main loop.  Wheeee!
MainThread 2013/07/22 16:54:38.7515 (admin-tool): Got fatal error: Fatal exception in callback; exiting main loop
MainThread 2013/07/22 16:54:38.7519 (admin-tool): Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/sabayon/errors.py", line 125, in wrapper
    return func (*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/sabayon/sessionwindow.py", line 330, in __session_mapped
    self.session.start (str (self.session_widget.session_window.xid))
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 490, in start
    self.__start_xephyr (parent_window)
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 326, in __start_xephyr
    self.xephyr_xauth_file = self.__write_temp_xauth_file (True)
  File "/usr/lib64/python2.7/site-packages/sabayon/protosession.py", line 283, in __write_temp_xauth_file
    xauth_data_len) + xauth_data
error: 'h' format requires -32768 <= number <= 32767

MainThread 2013/07/22 16:54:38.7522 (sabayon-session): Terminating
MainThread 2013/07/22 16:54:38.7523 (sabayon-session): Exiting abnormally; dumping log due to a fatal error
===== END RING BUFFER (/usr/libexec/sabayon-session) =====


This configuration for the debug log can be re-created
by putting the following in /etc/sabayon/sabayon-debug-log.conf
(use ';' to separate domain names):

[debug log]
max lines = 1000
MainThread 2013/07/22 16:54:38.7727 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
usermod: user sabayon is currently used by process 3595
MainThread 2013/07/22 16:54:38.8313 (USER): Finishing editing profile
MainThread 2013/07/22 16:54:38.8555 (admin-tool): Terminating main loop
MainThread 2013/07/22 16:54:38.8559 (admin-tool): Exiting abnormally; dumping log due to a fatal error
Dumped debug log to /root/sabayon-debug-log-2013-07-22-16-54-38.txt

# cat /root/sabayon-debug-log-2013-07-22-16-54-38.txt
===== BEGIN MILESTONES (/sbin/sabayon) =====
MainThread 2013/07/22 16:54:34.5137 (admin-tool): Creating profiles dialog
MainThread 2013/07/22 16:54:34.5327 (admin-tool): Starting main loop
MainThread 2013/07/22 16:54:38.7727 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2013/07/22 16:54:38.8555 (admin-tool): Terminating main loop
MainThread 2013/07/22 16:54:38.8559 (admin-tool): Exiting abnormally; dumping log due to a fatal error
===== END MILESTONES (/sbin/sabayon) =====
===== BEGIN RING BUFFER (/sbin/sabayon) =====
MainThread 2013/07/22 16:54:34.5137 (admin-tool): Creating profiles dialog
MainThread 2013/07/22 16:54:34.5327 (admin-tool): Starting main loop
MainThread 2013/07/22 16:54:38.0436 (USER): Starting to edit profile 'xguest'
MainThread 2013/07/22 16:54:38.7727 (admin-tool): Got fatal error: sabayon-session exited with a FATAL ERROR (exit code 1)
MainThread 2013/07/22 16:54:38.8313 (USER): Finishing editing profile
MainThread 2013/07/22 16:54:38.8555 (admin-tool): Terminating main loop
MainThread 2013/07/22 16:54:38.8559 (admin-tool): Exiting abnormally; dumping log due to a fatal error
===== END RING BUFFER (/sbin/sabayon) =====


This configuration for the debug log can be re-created
by putting the following in /etc/sabayon/sabayon-debug-log.conf
(use ';' to separate domain names):

[debug log]
max lines = 1000


Expected results: crash


Additional info: just installed a fresh xguest and sabayon packages.
This seems to be like thoses WONTFIX bugs: #466128, #506284, #513469, #666868
Comment 1 Fedora Admin XMLRPC Client 2013-08-06 22:14:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2015-01-09 14:02:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:18:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.